Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 236111 - Fatal opcode error when booting with dom0_mem >= 2GB
Summary: Fatal opcode error when booting with dom0_mem >= 2GB
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel-xen
Version: 5.0
Hardware: ia64
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Keiichiro Tokunaga
QA Contact: Martin Jenner
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-11 22:53 UTC by Joseph Szczypek
Modified: 2013-07-03 13:30 UTC (History)
3 users (show)

Fixed In Version: 5.1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-08-06 18:23:18 UTC


Attachments (Terms of Use)

Description Joseph Szczypek 2007-04-11 22:53:53 UTC
Description of problem:
When Domain0 is booted with dom0_mem set to 2G or greater, a fatal opcode error
occurs.

Version-Release number of selected component (if applicable):
2.6.18-8.1.1.el5xen

How reproducible:
Easily

Steps to Reproduce:
1. Add dom0_mem to elilo.conf's "append" line for the Xen elilo.conf entry
2. Set dom0_mem to 2G or greater
3. Boot Domian 0.
  
Actual results:
Fatal opcode

Expected results:
Domain 0 boots

Additional info:
This error was produced on an rx6600 equipped with 8 cores and 96GB of memory. 
It has 3 dual-port Fibre Channel PCI-X cards installed, each port connected to
an MSA1000.

Comment 1 Red Hat Bugzilla 2007-07-25 00:45:01 UTC
change QA contact

Comment 2 Brian Stein 2007-08-03 15:13:56 UTC
Please confirm this behavior with the current 5.1 beta.

Comment 3 Joseph Szczypek 2007-08-06 17:35:08 UTC
(In reply to comment #2)
> Please confirm this behavior with the current 5.1 beta.

I booted with dom0_mem set to 2G, 4G, 8G, 16G, 32G, 64G with 5.1 beta.  I did
not get the 'fatal opcode' error.   Dom0 boots and I can log in.

FYI, there is a difference in the system configuration I was able to use to do
these tests.   I was only able to run with one MSA1000, connected to one FC port.

Comment 4 Brian Stein 2007-08-06 18:23:18 UTC
Marking as resolved in 5.1.  Please reopen this issue or create a new BZ if this
is reproduced during testing.


Note You need to log in before you can comment on or make changes to this bug.